PUT
/v1/organizations/:organizationId/mdm/devices/smart-attributes/
Copy to clipboard
Update mdmSmartAttribute by it"s id
Update mdmSmartAttribute by it"s id
Request
Add parameter in header
authorization
Example:
Authorization: Bearer <token>
Body Params
application/json
deviceId
string
required
deviceType
string
required
smartAttributeId
string
required
smartAttributeValue
string
required
{
"deviceId": "string",
"deviceType": "emmDevice",
"smartAttributeId": "string",
"smartAttributeValue": "string"
}
Responses
200 Response
application/json
status
boolean
required
data
object
required
id
string
required
type
string
required
value
any
required
override
any
optional
updatedAt
string
required
{
"status": true,
"data": {
"id": "string",
"type": "constant",
"value": "string",
"override": "string",
"updatedAt": "string"
}
}
400 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 5221,
"message": "Unable to process smart attribute request"
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}